Kapitel 5. Paketmanagement
Zurück | 5.38 `dpkg-preconfigure` | Weiter

## 5.38 `dpkg-preconfigure`

`dpkg-preconfigure` kann Pakete vor der Installation auf einem System konfigurieren. `dpkg-preconfigure` konfiguriert eine Anzahl von Paketen und führt dazu die `debconf`-Skripte dieser Pakete aus. `dpkg-preconfigure` kennt dabei zwei Möglichkeiten der Parameterübergabe:

    dpkg-preconfigure [options] package.deb

    dpkg-preconfigure --apt

Optionen

`-ftype`, `--frontend=type`

  Setzt das zu verwendende `debconf`-Frontend.

`-pvalue`, `priority=value`

  Gibt die minimale Priorität der `debconf`-Fragen an, die noch angezeigt werden sollen.

`--apt`

  Aktiviert den „APT“-Modus. Dabei wird eine Liste von Paketen auf der Standard-Eingabe gelesen, statt diese auf der Kommandozeile zu übergeben. Normalerweise wird dies genutzt, um `dpkg-preconfigure` auf alle Pakete anzuwenden, bevor diese installiert werden. Hierzu ist Folgendes der Datei `/etc/apt/apt.conf` hinzuzufügen, falls es nicht schon vorhanden ist:

      // Pre-configure all packages before
      // they are installed.
      DPkg::Pre-Install-Pkgs {
             "dpkg-preconfigure --apt --priority=low";
      };

`-h`, `--help`

  Zeigt eine Hilfe zum Programm `dpkg-preconfigure` an.

Zurück | Nach oben | Weiter
5.37 `dpkg-reconfigure` | Zum Anfang | 5.39 `dpkg-scanpackages`

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).